#{extends 'borderNG.html' /}
#{set 'titleHead'}
Dokumen Penawaran Teknis
#{/set}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">Beranda</a></li>
    <li><a href="@{nonlelang.PengadaanLCtr.view(pl.lls_id)}">Informasi Tender</a></li>
    <li class="active">Dokumen Penawaran Teknis</li>
</ol>
<div class="content">
	<div class="bs-callout bs-callout-warning">
		Petunjuk:<br />
			<ol>
				<li>Pilih daftar Dokumen Penawaran Teknis yang dipersyaratkan untuk melengkapi penawaran peserta tender; dan</li>
				<li>Untuk menambahkan Dokumen Penawaran Teknis, klik button Tambah Syarat Teknis.</li>
				<li>Jumlah karakter setiap syarat Dokumen Penawaran Teknis dibatasi 70. Apabila dibutuhkan penjelasan lebih lanjut, cantumkan di dalam Dokumen Pemilihan.</li>
			</ol>
	</div>
	#{alert /}
	#{form @nonlelang.AdendumPlCtr.checklistSubmit(pl?.lls_id), id:'form-dok-lelang', 'data-alert':'true'}
	#{if syaratAdmin}
	<h4>Administrasi</h4>
	<table id="tblAdmin" class="table table-sm">
	#{list items:syaratAdmin, as:'item'}
	<input type="hidden" name="syaratAdmin[${item_index-1}].chk_id" value="${item.chk_id}" />
	<tr class="syarat">
		<td width="5">
			#{if item?.checklist_master.checked}
				<input type="hidden" name="syaratAdmin[${item_index-1}].ckm_id" value="${item?.checklist_master.ckm_id}" />
				<input type="checkbox" name="syaratAdmin[${item_index-1}].ckm_id" value="${item?.checklist_master.ckm_id}" checked="checked" disabled="disabled" />
			#{/if}
			#{else}
				<input type="checkbox" name="syaratAdmin[${item_index-1}].ckm_id" value="${item?.checklist_master.ckm_id}" #{if item.checked} checked="checked" #{/if} #{if !editable} disabled="disabled" #{/if}/>
			#{/else}
			</td>
			<td>#{if item.checklist_master.syaratLain}
					<input type="text" class="form-control" name="syaratAdmin[${item_index-1}].chk_nama" value="${item.chk_nama}" />
				#{/if}
				#{else} ${item?.checklist_master.ckm_nama} #{/else}
			</td>
			<td width="5">
				#{if item?.checklist_master.syaratLain}
					<a href="javascript:void(0)" class="remove"><i class="fa fa-trash-o fa-lg"></i></a>
				#{/if}	
			</td>
	</tr>
	#{/list}
	</table>
	#{/if}
	<div class="clearfix"></div>		
	<h4>Teknis</h4>	
	<table id="tblTeknis" class="table table-sm">
		#{if syaratTeknis}	
		#{list items:syaratTeknis, as:'item'}
		<input type="hidden" name="syarat[${item_index-1}].chk_id" value="${item.chk_id}" />	
		<tr class="syarat">	
			<td width="5">
				#{if item?.checklist_master.checked}
					<input type="hidden" name="syarat[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" />
					<input type="checkbox" name="syarat[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" checked="checked" disabled="disabled" />	
				#{/if}
				#{else}
					<input type="checkbox" name="syarat[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" #{if item.checked} checked="checked" #{/if} #{if !editable} disabled="disabled" #{/if} />
				#{/else}
				</td>	
				<td>
				#{if item?.checklist_master.syaratLain}
					<input type="text" class="form-control" required name="syarat[${item_index-1}].chk_nama" value="${item.chk_nama}" maxlength="70"/>
					<span class="warning"><em>*pastikan syarat tambahan sudah diceklist sebelum menyimpan</em></span>
				#{/if} #{else} ${item?.checklist_master.ckm_nama} #{/else}
				</td>
				<td width="5">
				#{if item?.checklist_master.syaratLain}
					<a href="javascript:void(0)" class="remove"><i class="fa fa-trash-o fa-lg"></i></a>
				#{/if}	
			</td>	
		</tr>	
		#{/list}
		#{/if}
	</table>
	<button type="button" class="btn btn-secondary float-right" id="tambahTeknis">Tambah Syarat Teknis</button>
	<div class="clearfix"></div>
	#{if syaratHarga}
	<h4>Harga</h4>
	<table id="tblTeknis" class="table table-sm">
		#{list items:syaratHarga, as:'item'}		
			<input type="hidden" name="syaratHarga[${item_index-1}].chk_id" value="${item.chk_id}" />	
			<tr class="syarat">	
				<td width="5">
					#{if item?.checklist_master.checked}
						<input type="hidden" name="syaratHarga[${item_index-1}].ckm_id" value="${item?.checklist_master.ckm_id}" />
						<input type="checkbox" name="syaratHarga[${item_index-1}].ckm_id" value="${item?.checklist_master.ckm_id}" checked="checked" disabled="disabled"/> 	
					#{/if}
					#{else}
						<input type="checkbox" name="syaratHarga[${item_index-1}].ckm_id" value="${item?.checklist_master.ckm_id}" #{if item.checked} checked="checked" #{/if} #{if !editable} disabled="disabled" #{/if} />
					#{/else}
					</td>	
					<td>
					#{if item?.checklist_master.syaratLain}
						<input type="text" class="form-control" name="syaratHarga[${item_index-1}].chk_nama" value="${item.chk_nama}" />
					#{/if}
					#{else} ${item?.checklist_master.ckm_nama} #{/else}
					</td>	
					<td width="5">#{if item?.checklist_master.syaratLain}<a href="javascript:void(0)" class="remove"><i class="fa fa-trash-o fa-lg"></i></a>#{/if}</td>	
			</tr>	
		#{/list}
	</table>	
	 #{/if}
	#{if editable}
		#{saveButton /}
	#{/if}
	<a href="@{nonlelang.PengadaanLCtr.view(pl.lls_id)}" class="btn btn-secondary "><i class="fa fa-arrow-circle-left fa-fw"></i> Kembali</a>
	#{/form}
</div>